Page tree
Skip to end of metadata
Go to start of metadata

These release notes list any new, updated, or deprecated features in EasyApache 4.  We only list significant changes in these notes. 

For a full list of the changes in each release, read the EasyApache 4 Change Log.

Note:

EasyApache 4 does not use versioning and organizes changes by date only.

2018-6-19

Updated features

Tomcat

Moved Tomcat to the Experimental Repository.

Added /usr/local/cpanel/scripts/ea-tomcat85 script to enable Tomcat functionality. For more information, read the Tomcat documentation. 

ea-profiles-cpanel

Removed deprecated versions of PHP from cPanel default profiles. 

2018-5-29

Updated features

PHP 7.1

The latest version of PHP 7.1 is 7.1.18

PHP 7.2

The latest version of PHP 7.2 is 7.2.6

SourceGuardian

The latest version of SourceGuardian is 11.2

2018-5-22

Updated features

cURL

The latest version of cURL is 7.60.0

2018-5-1

Updated features

PHP 5.6

The latest version of PHP 5.6 is 5.6.36

PHP 7.0

The latest version of PHP 7.0 is 7.0.30

PHP 7.1

The latest version of PHP 7.1 is 7.1.17

PHP 7.2

The latest version of PHP 7.2 is 7.2.5

New features

We added symlinks to more easily allow you to call PECL and PEAR extensions. For more information, read our PHP Home documentation.

2018-4-3

Updated features

Apache 2.4

The latest version of Apache is 2.4.33

ionCube 10

The latest version of ionCube 10 is 10.2.0

APR

The latest version of APR is 1.6.3

cURL

The latest version of cURL is 7.59.0

PHP 5.6

The latest version of PHP 5.6 is 5.6.35

PHP 7.0

The latest version of PHP 7.0 is 7.0.29

PHP 7.1

The latest version of PHP 7.1 is 7.1.16

PHP  7.2

The latest version of PHP 7.2 is 7.2.4

2018-3-21

New features

mod_cpanel

Added the mod_cpanel Apache module.

2018-3-6

Updated features

PHP 7.2

The latest version of PHP 7.2 is 7.2.3

PHP 7.1

The latest version of PHP 7.1 is 7.1.15

PHP 7.0

The latest version of PHP 7.0 is 7.0.28

PHP 5.6

The latest version of PHP 5.6 is 5.6.34

2018-2-6

Updated features

Ruby

The latest version of Ruby is 2.4.3

PHP 7.1

The latest version of PHP 7.1 is 7.1.14

PHP 7.2

The latest version of PHP 7.2 is 7.2.2

2018-1-25

Updated features

cURL

The latest version of cURL is 7.58.0

2018-1-18

Updated features

LibXML

The latest version of LibXML is 2.9.7

CentOS 6 no longer downgrades LibXML to older version. 

OpenSSL

The latest version of OpenSSL is 1.0.2n

2018-1-9

Updated features

PHP 5.6

The latest version of PHP 5.6 is 5.6.33

PHP 7.0

The latest version of PHP 7.0 is 7.0.27

PHP 7.1

The latest version of PHP 7.1 is 7.1.13

PHP 7.2

The latest version of PHP 7.2 is 7.2.1

2017-12-21

Updated features

ionCube10

The latest version of ionCube is 10.1.1

ionCube 10 now supports PHP 7.2

2017-12-5

Updated features

cURL

The latest version of cURL is 7.57.0

PHP 7.2

The latest version of PHP 7.2 is 7.2.0

2017-11-29

Updated features

PHP 7.0

The latest version of PHP 7.0 is 7.0.26

PHP 7.1

The latest version of PHP 7.1 is 7.1.12

PHP 7.2

The latest version of PHP 7.2 is 7.2RC6

2017-11-7

New features

mod_evasive

We added the mod_evasive Apache module. 

Updated packages

OpenSSL

We updated OpenSSL to version 1.0.2m

2017-10-31

Updated packages

Mailheader patch

We updated the mailheader patch for all versions of PHP. This patch fixes a bug where a user could alter the global $_SERVER variable.

ionCube 10

We updated ionCube 10 to support PHP versions 5.4, 5.5, 5.6, and 7.0

PHP 5.6

The latest version of PHP 5.6 is 5.6.32

PHP 7.0

The latest version of  PHP 7.0 is 7.0.25

PHP 7.1

The latest version of PHP 7.1 is 7.1.11

PHP 7.2

The latest version of PHP 7.2 is 7.2RC5

Apache 2.4

We updated Apache to version 2.4.29

2017-10-16

Updated packages

Passenger

We patched Passenger for a security vulnerability.

2017-10-12

Updated packages

libtidy

The latest version of libtidy is 5.4.0

Apache 2.4

The latest version of Apache is 2.4.28

ionCube 10

The latest version of ionCube is 10.0.3

Ruby Passenger

The latest version of RubyPassenger is 5.1.8

 

2017-10-3

Updated packages

Ruby

The latest version of Ruby is 2.4.2

PHP 7.0

The latest version of PHP 7.0 is 7.0.24

PHP 7.1

The latest version of PHP 7.1 is 7.1.10

PHP 7.2

The latest version of PHP 7.2 is 7.2RC3

2017-9-20

Updated packages

suPHP

suPHP now supports PHP 7.2

Apache 2.4

We patched Apache 2.4 for the optionsbleed vulnerability

2017-9-6

New features

IonCube 10

Added support for IonCube 10

PHP 7.2

The latest version of PHP 7.2 is 7.2.0 RC1

Updated packages

PHP 7.0

The latest version of PHP 7.0 is 7.0.23

PHP 7.1

The latest version of PHP 7.1 is 7.1.9

RubyGems

The latest version of RubyGems is 2.6.13

2017-8-17

New features

Phalcon

Added Phalcon support

Updated packages

cURL

The latest version of cURL is 7.55.1

2017-8-8

Updated packages

PHP 7.0

The latest version of PHP 7.0 is 7.0.22

PHP 7.1

The latest version of PHP 7.1 is 7.1.8

ModSecurity

The latest version of ModSecurity is 2.9.2

2017-7-18

Updated packages

Apache 2.4

The latest version of Apache 2.4 is 2.4.27

2017-7-11

New features

HTTP/2 support

Added HTTP/2 support to production environment. 

Updated packages

PHP 5.6

The latest version of PHP 5.6 is 5.6.31

PHP 7.0

The latest version of PHP 7.0 is 7.0.21

PHP 7.1

The latest version of PHP 7.1 is 7.1.7

2017-6-21

New Features

Ruby

PassengerDisableHtaccess directive added to Passenger.

Ruby via Passenger profile to includes additional Ruby gems

2017-6-13

New Features

Ruby via Passenger profile

Added new Ruby via Passenger profile to profile selection

SSLStaplingResponderTimeout added to ea4_main.default

Added SSLStaplingResponderTimeout with a value of 3 to the ea4_main.default template file

local.ini changes

No longer give local.ini priority in EA3 to EA4 conversion.

Updated packages

PHP 7.0

The latest version of PHP 7.0 is 7.0.20

PHP 7.1

The latest version of PHP 7.1 is 7.1.6

ionCube 6

The latest version of ionCube 6 is 6.1.0

2017-5-16

New Features

We added symlinks to more easily allow you to call the PHP CGI and PHP CLI binaries directly. For more information, read our PHP Home documentation. 

ModSecurity Audit Log Collector (mlogc)

We now include the ModSecurity Audit Log Collector (mlogc) with the ModSecurity installation. 

Ruby

We now provide SCL packages for Ruby. 

Updated packages

PHP 7.0

The latest version of PHP 7.0 is 7.0.19.

PHP 7.1

The latest version of PHP 7.1 is 7.1.5.